## org.hibernate.proxy.pojo
Class BasicLazyInitializer

    java.lang.Object
      org.hibernate.proxy.AbstractLazyInitializer
          org.hibernate.proxy.pojo.BasicLazyInitializer

All Implemented Interfaces:
  LazyInitializer

Direct Known Subclasses:
  CGLIBLazyInitializer, JavassistLazyInitializer

    public abstract class BasicLazyInitializer

extends AbstractLazyInitializer

Lazy initializer for POJOs

Author:
  Gavin King

Field Summary
`protected CompositeType` `componentIdType`
`protected Method` `getIdentifierMethod`
`protected static Object` `INVOKE_IMPLEMENTATION`
`protected boolean` `overridesEquals`
`protected Class` `persistentClass`
`protected Method` `setIdentifierMethod`

Constructor Summary
`protected` `BasicLazyInitializer(String entityName, Class persistentClass, Serializable id, Method getIdentifierMethod, Method setIdentifierMethod, CompositeType componentIdType, SessionImplementor session)`

Method Summary
`Class` `getPersistentClass()` Get the actual class of the entity.
`protected Object` `invoke(Method method, Object[] args, Object proxy)`
`protected abstract Object` `serializableProxy()`

Methods inherited from class org.hibernate.proxy.AbstractLazyInitializer
`getEntityName, getIdentifier, getImplementation, getImplementation, getSession, getTarget, initialize, isConnectedToSession, isReadOnly, isReadOnlyBeforeAttachedToSession, isReadOnlySettingAvailable, isUninitialized, isUnwrap, setIdentifier, setImplementation, setReadOnly, setSession, setUnwrap, unsetSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVOKE_IMPLEMENTATION

    protected static final Object INVOKE_IMPLEMENTATION

### persistentClass

    protected Class persistentClass

### getIdentifierMethod

    protected Method getIdentifierMethod

### setIdentifierMethod

    protected Method setIdentifierMethod

### overridesEquals

    protected boolean overridesEquals

### componentIdType

    protected CompositeType componentIdType

Constructor Detail

### BasicLazyInitializer

    protected BasicLazyInitializer(String entityName,
                                   Class persistentClass,
                                   Serializable id,
                                   Method getIdentifierMethod,
                                   Method setIdentifierMethod,
                                   CompositeType componentIdType,
                                   SessionImplementor session)

Method Detail

### serializableProxy

    protected abstract Object serializableProxy()

### invoke

    protected final Object invoke(Method method,
                                  Object[] args,
                                  Object proxy)
                           throws Throwable

  Throws:
    `Throwable`

### getPersistentClass

    public final Class getPersistentClass()

  Description copied from interface: `LazyInitializer`
  Get the actual class of the entity. Generally, `LazyInitializer.getEntityName()` should be used instead.

  Returns:
    The actual entity class.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.